## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond_without check

%global crate asahi-btsync

Name:           rust-asahi-btsync
Version:        0.2.4
Release:        %autorelease
Summary:        Tool to sync Bluetooth pairing keys with macos on ARM Macs

License:        MIT
URL:            https://crates.io/crates/asahi-btsync
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  systemd-rpm-macros

%global _description %{expand:
A tool to sync Bluetooth pairing keys with macos on ARM Macs.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
# Zlib
License:        MIT AND Zlib AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND Unicode-DFS-2016
# LICENSE.dependencies contains a full license breakdown
Recommends:     bluez

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%{_bindir}/asahi-btsync
%{_unitdir}/asahi-btsync.service
%{_udevrulesdir}/96-asahi-btsync.rules

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -p -m 0644 -D etc/systemd/system/asahi-btsync.service %{buildroot}%{_unitdir}/asahi-btsync.service
install -p -m 0644 -D etc/udev/rules.d/96-asahi-btsync.rules %{buildroot}%{_udevrulesdir}/96-asahi-btsync.rules

%if %{with check}
%check
%cargo_test
%endif

%post -n %{crate}
%systemd_post asahi-btsync.service

%preun -n %{crate}
%systemd_preun asahi-btsync.service

%postun -n %{crate}
%systemd_postun_with_restart asahi-btsync.service

%changelog
## START: Generated by rpmautospec
* Thu Feb 13 2025 Janne Grunau <j@jannau.net> - 0.2.4-2
- Add missing systemd-rpm-macros BuildRequires

* Wed Feb 05 2025 Janne Grunau <j@jannau.net> - 0.2.4-1
- Update to 0.2.4; Fixes: RRHBZ#2293771

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-3
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 02 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0; Fixes: RRHBZ#2247463

* Mon Jul 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.0-3
- Add missing license information for binary subpackage

* Mon Jul 24 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.0-2
- Recommend bluez

* Mon Jul 24 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.0-1
- Initial import; Fixes: RHBZ#2224856
## END: Generated by rpmautospec
